Skip to main content
GET
List assets

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
asset_number
string
name
string
serial_number
string
quantity
string
asset_category_counts_quantity
string
split_from_asset_id
string
line_asset_id
string
line_id
string
line_parts
string
line_quantity
string
line_sites
string
is_line_head
string
asset_category_id
string
asset_category_code
string
asset_category
string
asset_category_ancestor_ids
string
asset_category_path
string
asset_category_root_code
string
asset_category_root
string
asset_type_id
string
asset_type_code
string
asset_type
string
asset_class_id
string
asset_class_code
string
asset_class
string
asset_class_is_default
string
status
string
status_label
string
status_category
string
state_model_version_id
string
status_is_terminal
string
criticality
string
criticality_rank
string
criticality_response_minutes
string
condition_id
string
condition
string
condition_name
string
condition_rank
string
condition_color
string
condition_recorded_at
string
site_id
string
site_code
string
site_name
string
location_id
string
location_name
string
latitude
string
longitude
string
parent_asset_id
string
parent_asset_number
string
manufacturer
string
model_code
string
model_name
string
purchase_date
string
installation_date
string
commissioning_date
string
warranty_expires_on
string
purchased_from_vendor_id
string
purchased_from
string
description
string
department_id
string
department
string
cost_center_id
string
cost_center
string
chargeable
string
rate_card_scope
string
default_booking_rate_id
string
default_booking_rate
string
custody_until
string
expected_life_months
string
hsn_code
string
gst_rate_percent
string
erp_asset_code
string
erp_sub_asset_no
string
replacement_date
string
purchase_cost
string
purchase_cost_currency
string
purchase_cost_currency_symbol
string
purchase_cost_decimals
string
replacement_value
string
replacement_value_currency
string
replacement_value_currency_symbol
string
replacement_value_decimals
string
replacement_value_source
string
replacement_value_as_at
string
health_score
string
is_retired
string
is_missing
string
is_issued
string
last_scanned_at
string
last_scanned_source
string
last_reader_side
string
last_reader_name
string
last_reader_antenna
string
last_reader_seen_at
string
custodian_user_id
string
custodian
string
custodian_email
string
custody_since
string
primary_image_file_id
string
custom_fields
string
pending_approval_request_id
string
pending_approval_name
string
row_version
string
created_at
string
created_by_id
string
created_by_name
string
created_source
string
updated_at
string
updated_by_id
string
updated_by_name
string
search_text
string
custom_text
string
search_all
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_category
string<text>
asset_category_ancestor_ids
string[]
asset_category_code
string<character varying>
Maximum string length: 60
asset_category_counts_quantity
boolean<boolean>
asset_category_id
string<uuid>

Note: This is a Foreign Key to asset_categories.id.

asset_category_path
string<text>
asset_category_root
string<text>
asset_category_root_code
string<character varying>
Maximum string length: 60
asset_class
string<character varying>
asset_class_code
string<character varying>
asset_class_id
string<uuid>
asset_class_is_default
boolean<boolean>
asset_number
string<character varying>
Maximum string length: 80
asset_type
string<text>
asset_type_code
string<character varying>
Maximum string length: 60
asset_type_id
string<uuid>

Note: This is a Foreign Key to asset_type_settings.id.

chargeable
string<character varying>
Maximum string length: 20
commissioning_date
string<date>
condition
string<character varying>
Maximum string length: 20
condition_color
string<character varying>
Maximum string length: 20
condition_id
string<uuid>

Note: This is a Foreign Key to asset_condition_settings.id.

condition_name
string<text>
condition_rank
integer<smallint>
condition_recorded_at
string<timestamp with time zone>
cost_center
string<character varying>
Maximum string length: 200
cost_center_id
string<uuid>

Note: This is a Foreign Key to cost_centre_settings.id.

created_at
string<timestamp with time zone>
created_by_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

created_by_name
string<character varying>
Maximum string length: 200
created_source
string<text>
criticality
string<character varying>
Maximum string length: 40
criticality_rank
integer<smallint>
criticality_response_minutes
integer<integer>
custodian
string<character varying>
custodian_email
string<public.citext>
custodian_user_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

custody_since
string<date>
custody_until
string<date>
custom_fields
string<jsonb>
custom_text
string<text>
default_booking_rate
string<character varying>
Maximum string length: 200
default_booking_rate_id
string<uuid>

Note: This is a Foreign Key to booking_bills.initial_booking_rate_id.

department
string<character varying>
Maximum string length: 200
department_id
string<uuid>

Note: This is a Foreign Key to department_settings.id.

description
string<text>
erp_asset_code
integer<bigint>
erp_sub_asset_no
integer<integer>
expected_life_months
integer<integer>
gst_rate_percent
number<numeric>
health_score
number<numeric>
hsn_code
string<character varying>
Maximum string length: 8
id
string<uuid>

Note: This is a Primary Key.

installation_date
string<date>
is_issued
boolean<boolean>
is_line_head
boolean<boolean>
is_missing
boolean<boolean>
is_retired
boolean<boolean>
last_reader_antenna
string<character varying>
last_reader_name
string<character varying>
last_reader_seen_at
string<timestamp with time zone>
last_reader_side
string<character varying>
last_scanned_at
string<timestamp with time zone>
last_scanned_source
string<text>
latitude
number<numeric>
line_asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

line_id
string<uuid>
line_parts
integer<bigint>
line_quantity
integer<bigint>
line_sites
integer<bigint>
location_id
string<uuid>

Note: This is a Foreign Key to capex_cwip_plans.location_id.

location_name
string<character varying>
Maximum string length: 200
longitude
number<numeric>
manufacturer
string<character varying>
Maximum string length: 200
model_code
string<character varying>
Maximum string length: 80
model_name
string<character varying>
Maximum string length: 200
name
string<character varying>
Maximum string length: 250
parent_asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

parent_asset_number
string<character varying>
Maximum string length: 80
pending_approval_name
string<text>
pending_approval_request_id
string<uuid>
primary_image_file_id
string<uuid>
purchase_cost
number<numeric>
purchase_cost_currency
string<character varying>
purchase_cost_currency_symbol
string<character varying>
purchase_cost_decimals
integer<smallint>
purchase_date
string<date>
purchased_from
string<character varying>
purchased_from_vendor_id
string<uuid>
quantity
integer<integer>
rate_card_scope
string<character varying>
Maximum string length: 20
replacement_date
string<date>
replacement_value
number<numeric>
replacement_value_as_at
string<date>
replacement_value_currency
string<character varying>
replacement_value_currency_symbol
string<character varying>
replacement_value_decimals
integer<smallint>
replacement_value_source
string<character varying>
row_version
integer<bigint>
search_all
string<text>
search_text
string<text>
serial_number
string<character varying>
Maximum string length: 120
site_code
string<character varying>
Maximum string length: 50
site_id
string<uuid>

Note: This is a Foreign Key to entry_currencies.for_site_id.

site_name
string<character varying>
Maximum string length: 200
split_from_asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

state_model_version_id
string<uuid>

Note: This is a Foreign Key to state_models.version_id.

status
string<character varying>
Maximum string length: 60
status_category
string<character varying>
Maximum string length: 20
status_is_terminal
boolean<boolean>
status_label
string<text>
updated_at
string<timestamp with time zone>
updated_by_id
string<uuid>
updated_by_name
string<character varying>
Maximum string length: 200
warranty_expires_on
string<date>